{
  "compilerOptions": {
    "composite": true,
    "skipLibCheck": true,
    /* Bundler mode */
    "allowUmdGlobalAccess": true,
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "preserve",
    "esModuleInterop": true,
    "jsxFactory": "h",
    "jsxFragmentFactory": "Fragment",
    "module": "ESNext",
    "moduleResolution": "bundler",
    "noImplicitThis": true,
    "allowSyntheticDefaultImports": true,
    "allowJs": true,
    "sourceMap": true,
    "baseUrl": ".",
    "types": ["@dcloudio/types", "vite/client", "nutui-uniapp/global.d.ts"],
    "paths": {
      "@/*": ["src/*"],
      "#/*": ["types/*"]
    }
  },
  "include": [
    "src/**/*.json",
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "types/**/*.d.ts",
    "types/**/*.ts",
    "vite.config.ts",
    "types/components.d.ts",
    "package.json",
    "manifest.json",
    "build/**/*.ts"
  ],
  "exclude": ["node_modules", "tests/server/**/*.ts", "dist", "**/*.js"]
}
